using PlcSiemens.O;
using PlcSiemens.Protocol.Header;

namespace PlcSiemens.Protocol.Szl
{
    public class SzlNextResponse : IBuildResponse
    {
        public HeaderPacket Header { get; set; }
        public ParamsResponse Params { get; set; }
        public SzlDataNextResponse Data { get; set; }

        public SzlNextResponse()
        {
            Header = new HeaderPacket();
            Params = new ParamsResponse();
            Data = new SzlDataNextResponse();
        }

        public void Build(ByteBuffer buffer)
        {
            Header.Build(buffer);
            Params.Build(buffer);
            Data.Build(buffer);
        }
    }
}
